<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>Player Wagers</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">

    <link th:href="@{/libs/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <link th:href="@{/css/table.css}" rel="stylesheet">
    <link th:href="@{/css/main.css}" rel="stylesheet">
</head>

<body>

<div th:insert="navbar_menu :: navbar"></div>

<div class="container">
    <div class="card">
        <div class="card-header bg-primary text-light">
            <strong>Wagers</strong>
        </div>
        <div class="card-body">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="table-responsive">
                            <form class="delete-form" th:action="@{/wagers}" method="post">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                    <tr>
                                        <th>Event Title</th>
                                        <th>Event Type</th>
                                        <th>Bet Type</th>
                                        <th>Outcome Value</th>
                                        <th>Outcome Odd</th>
                                        <th>Wager Amount</th>
                                        <th>Processed</th>
                                        <th>Win</th>
                                        <th class="text-center">Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="wager : ${wagers}">
                                        <td>
                                            <p th:text="${wager.eventTitle}"></p>
                                            <p th:text="${wager.startDate}"></p>
                                        </td>
                                        <td th:text="${wager.eventType}"></td>
                                        <td th:text="${wager.betType}"></td>
                                        <td th:text="${wager.outcomeValue}"></td>
                                        <td th:text="${wager.outcomeOdd.value}"></td>
                                        <td>
                                            <p th:text="${wager.amount}"></p>
                                            <p th:text="${wager.currency}"></p>
                                        </td>
                                        <td th:text="${wager.processed}"></td>
                                        <td th:text="${wager.processed} ? ${wager.win} : 'No results yet'"></td>
                                        <td align="center">
                                            <button type="submit" th:value="'/delete/' + ${wager.id}"
                                                    class="btn btn-primary delete-btn">
                                                Remove
                                            </button>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script th:src="@{/libs/jQuery/jquery.js}"></script>
<script th:src="@{/libs/bootstrap/js/bootstrap.min.js}"></script>
<script th:src="@{/js/main.js}"></script>

</body>

</html>